package com.persagy.cache;


import com.googlecode.aviator.AviatorEvaluator;
import com.persagy.entity.AlarmConditionState;
import com.persagy.entity.AlarmDefine;
import com.persagy.entity.v2.AlarmCondition;
import com.persagy.entity.v2.ItemCodeCondition;
import com.persagy.entity.v2.ObjConditionInfo;
import com.persagy.entity.v2.ObjConditionRel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @description: 报警存放报警定义缓存的的数据
 * @author: LuoGuangyi
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/19 10:57
 * @version: V1.0
 **/
@Component
@Slf4j
public class AlarmInfoCache {
    /**
     * @param alarmDefine:
     * @description:获取报警定义id, 中台报警定义ID没有实际意义，根据itemCode-objId拼接作为唯一标识
     * @exception:
     * @author: LuoGuangyi
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/10/19 17:28
     * @version: V1.0
     */
    public static String getAlarmDefineId(AlarmDefine alarmDefine) {
        return alarmDefine.getItemCode() + "-" + alarmDefine.getObjId();
    }
}
